﻿Imports TsControls

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        lblIndex1.Text = MultiLineComboBox1.SelectedIndex.ToString()
        lblText1.Text = MultiLineComboBox1.Text

        Dim cities() As String = {"Athens, Greece", "Paris, France", _
                    "St. Louis[a], United States", "London, Great Britain", _
                    "Stockholm, Sweden", "Berlin, Germany", "Antwerp, Belgium", _
                    "Chamonix, France", "Paris, France", "St. Moritz, Switzerland", _
                    "Amsterdam, Netherlands", "Lake Placid, United States", _
                    "Los Angeles, United States", "Garmisch-Partenkirchen, Germany", _
                    "Berlin, Germany", "Sapporo, Japan", "Tokyo, Japan", _
                    "Cortina d'Ampezzo, Italy", "London, Great Britain", _
                    "St. Moritz, Switzerland"}

        Dim years() As Integer = {1896, 1900, 1904, 1908, 1912, 1916, 1920, _
                    1924, 1924, 1928, 1928, 1932, 1932, 1936, 1936, 1940, 1940, _
                    1944, 1944, 1948}

        Dim data As DataTable = New DataTable()
        data.Columns.Add("City")    'Display member
        data.Columns.Add("Year")    'Value member

        Dim i As Integer
        For i = 0 To 19
            Dim row As DataRow = data.NewRow()
            row("City") = cities(i)
            row("Year") = years(i)
            data.Rows.Add(row)
        Next
        MultiLineComboBox2.DataSource = data
        MultiLineComboBox2.SelectedIndex = 0

    End Sub

    Private Sub MultiLineComboBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MultiLineComboBox1.SelectedIndexChanged
        lblIndex1.Text = (CType(sender, MultiLineComboBox).SelectedIndex.ToString())
    End Sub

    Private Sub MultiLineComboBox1_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles MultiLineComboBox1.TextChanged
        lblText1.Text = (CType(sender, MultiLineComboBox).Text)
    End Sub

    Private Sub MultiLineComboBox2_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MultiLineComboBox2.SelectedIndexChanged
        lblIndex2.Text = (CType(sender, MultiLineComboBox).SelectedIndex.ToString())
    End Sub

    Private Sub MultiLineComboBox2_SelectedValueChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles MultiLineComboBox2.SelectedValueChanged
        lblValue2.Text = (CType(sender, MultiLineComboBox).SelectedValue.ToString())
    End Sub

End Class
