﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DataGridViewDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Initalize combobox column1 drop-down data.
            DataTable cb1dropdown = new DataTable();
            DataColumn valcol = new DataColumn("Val", typeof(int));
            DataColumn dispcol = new DataColumn("Disp", typeof(string));

            string[] credata = new string[] {
                "Zero", "One", "Two", "Three", "Four", "Five",
                "Six", "Seven", "Eight", "Nine" };

            cb1dropdown.Columns.Add(valcol);
            cb1dropdown.Columns.Add(dispcol);

            for (int i = 0; i < 10; i++)
            {
                DataRow row = cb1dropdown.NewRow();
                row[valcol] = i;
                row[dispcol] = credata[i];
                cb1dropdown.Rows.Add(row);
            }

            intDataDataGridViewTextBoxColumn.DataSource = cb1dropdown;
            intDataDataGridViewTextBoxColumn.DisplayMember = "Disp";
            intDataDataGridViewTextBoxColumn.ValueMember = "Val";

            // Initalize DataGridView data.
            for (int i = 0; i < 10; i++)
            {
                DataRow newrow = dataSet1.Tables["Table1"].NewRow();
                newrow[dataColumn1] = i;
                newrow[dataColumn2] = i;
                newrow[dataColumn3] = credata[i];
                dataSet1.Tables["Table1"].Rows.Add(newrow);
            }

            dataSet1.Tables["Table1"].Rows[0][dataColumn3] = "One thousand two hundred thirty-four";
        }
    }
}
